MONGOC_CLIENT_ENCRYPTION_OPTS_SET_KEYVAULT_CLIENT(3)

NAME
mongoc_client_encryption_opts_set_keyvault_client - mongoc_client_encryption_opts_set_keyvault_client()

SYNOPSIS

        void
        mongoc_client_encryption_opts_set_keyvault_client (
           mongoc_client_encryption_opts_t *opts,
           mongoc_client_t *keyvault_client);

Set the mongoc_client_t to use during key creation and key lookup for encryption and decryption. This may be either a single-threaded or multi-threaded client (i.e. a client obtained from a mongoc_client_pool_t).

PARAMETERS

    •   opts: A mongoc_client_encryption_opts_t.

    •   client: A mongoc_client_t to use for key lookup and creation. This client MUST outlive any mongoc_client_encryption_t configured to use it with mongoc_client_encryption_new().

SEE ALSO

    •   mongoc_client_encryption_new()

    •   The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc